./mail/wl, Mail/news management system with IMAP4rev1 support for Emacs

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 2.14.0nb14, Package name: wl-2.14.0nb14, Maintainer: tech-pkg-ja

Wanderlust is a mail/news management system with IMAP4rev1 support for Emacs.

* Implementation in elisp only.
* Support of IMAP4rev1, NNTP, POP(POP3/APOP), MH and Maildir.
* Integrated access to messages based on Folder Specifications like Mew.
* Key bindings and mark processing like Mew.
* Management of threads and unread messages.
* Folder mode to select and edit subscribed folders.
* Message cache, Disconnected Operation.
* MH-like Fcc (Fcc: %Backup is possible).
* Full support of MIME (by SEMI).
* Draft editing of mail and news as a same interface.
* Icon based interface for the list of Folder (XEmacs and Emacs 21).
* Skip fetching of a large message part of MIME(IMAP4).
* Server side searching (IMAP4), internationalized searching is available.
* Virtual folder.
* Compressed folder.
* Automatic expiration of old messages.
* Automatic refiling.
* Draft templates.


Required to run:
[misc/bbdb] [devel/apel] [devel/semi] [editors/emacs26]

Required to build:
[pkgtools/cwrappers]

Master sites:

SHA1: 75b93013444cb27ca540462afbaefdce0e157b3f
RMD160: 1a5aa025fc05cbcf2a7d390b1804cc1b22f5df2b
Filesize: 1075.688 KB

Version history: (Expand)


CVS history: (Expand)


   2017-09-12 10:19:46 by David A. Holland | Files touched by this commit (1)
Log message:
Bah. Future-proofing attempt failed, so we'll have to come back for each
new emacs version.
   2017-09-10 02:38:59 by David A. Holland | Files touched by this commit (2)
Log message:
Add more PLIST entries for wl-e21.el{,c} as it's installed for every
emacs version >= 21. PKGREVISION -> 14.
   2016-03-05 12:29:49 by Jonathan Perkin | Files touched by this commit (1813) | Package updated
Log message:
Bump PKGREVISION for security/openssl ABI bump.
   2015-11-04 00:27:24 by Alistair G. Crooks | Files touched by this commit (312)
Log message:
Add SHA512 digests for distfiles for mail category

Problems found locating distfiles:
	Package mutt: missing distfile patch-1.5.24.rr.compressed.gz
	Package p5-Email-Valid: missing distfile Email-Valid-1.198.tar.gz
	Package pine: missing distfile fancy.patch.gz
	Package postgrey: missing distfile targrey-0.31-postgrey-1.34.patch
	Package qmail: missing distfile badrcptto.patch
	Package qmail: missing distfile outgoingip.patch
	Package qmail: missing distfile qmail-1.03-realrcptto-2006.12.10.patch
	Package qmail: missing distfile qmail-smtpd-viruscan-1.3.patch
	Package thunderbird24: missing distfile enigmail-1.7.2.tar.gz
	Package thunderbird31: missing distfile enigmail-1.7.2.tar.gz

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2014-02-13 00:18:57 by Matthias Scheler | Files touched by this commit (1568)
Log message:
Recursive PKGREVISION bump for OpenSSL API version bump.
   2013-06-19 15:31:02 by Makoto Fujiwara | Files touched by this commit (1)
Log message:
Icon share/wl/shimbun.xpm is always installed regardless of emacs-w3m option.
   2013-06-18 11:19:21 by Makoto Fujiwara | Files touched by this commit (1)
Log message:
Currently emacs-w3m won't be packaged with emacs24, so removing
from default.
  -PKG_SUGGESTED_OPTIONS= emacs-w3m
  +PKG_SUGGESTED_OPTIONS=
  (by the time emacs-w3m will come back for emacs24).
Thanks a lot,
   2013-06-14 05:46:30 by Makoto Fujiwara | Files touched by this commit (1)
Log message:
Add patch-utils_ptexinfmt.el to build with emacs24.
  Problem reported (for exmaple) at following mail:
  broken packages for 2013q2
  http://mail-index.netbsd.org/tech-pkg/2 … 11548.html